#1424 closed defect (fixed)

sysctl_dumpentry() fails to copy data out

Reported by: strauman Owned by: Eric Norum
Priority: normal Milestone: 4.9
Component: network/legacy Version: 4.9
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

When porting the 'arp' program to RTEMS I found
that 'sysctl_dumpentry()' does not copy the
retrieved information out into the user buffer.

Later versions of freebsd contain the line that
is added by the patch. With this patch the
'arp' program (also attached) works as expected.

Attachments (2)

rtsock_sysctl_dump.diff (828 bytes) - added by strauman on Jun 5, 2009 at 3:37:15 AM.
Fix for the reported bug (also in freebsd codebase)
arp.c (19.4 KB) - added by strauman on Jun 5, 2009 at 3:39:37 AM.
testcase ('arp' program with rtems additions (reentrancy))

Download all attachments as: .zip

Change History (4)

Changed on Jun 5, 2009 at 3:37:15 AM by strauman

Attachment: rtsock_sysctl_dump.diff added

Fix for the reported bug (also in freebsd codebase)

Changed on Jun 5, 2009 at 3:39:37 AM by strauman

Attachment: arp.c added

testcase ('arp' program with rtems additions (reentrancy))

comment:1 Changed on Oct 20, 2009 at 1:13:40 PM by strauman

Resolution: fixed
Status: newclosed

comment:2 Changed on Nov 10, 2009 at 1:45:36 PM by strauman

Note that this (minor issue which most likely does not affect most users) is only fixed in 4.10

Note: See TracTickets for help on using tickets.